Date: Sat, 28 Feb 1998 18:04:04 +0100 (MET)
From: "Bernd Harries" <bharries@vossnet.de>
X-Sender: bharries@hexe.bis.uni-oldenburg.de
To: "Scott J. Kolodzieski" <scott@dmi.stevens-tech.edu>
cc: linux-m68k@lists.linux-m68k.org
Subject: Re: L68K: 2.1.85 works!! Here's Mach64 / atyfb
In-Reply-To: <199802280259.VAA10505@hades.dmi.stevens-tech.edu>
Sender: owner-linux-m68k@phil.uni-sb.de

Hi Scott!

Sorry! I knew I would forget something!

> atyfb.c:44: asm/prom.h: No such file or directory
> atyfb.c:45: asm/pci-bridge.h: No such file or directory

I helped myself out of that by linking the files from /include/asm-ppc to
include/asm-m68k.

You can add these few defines to include/linux/fb.h:


Hexe:/usr/src/linux/include/linux/>diff  fb.h_2185 fb.h
57a58,63
> /* Interpretation of offset for color fields: All offsets are from the
right,
>  * inside a "pixel" value, which is exactly 'bits_per_pixel' wide
(means: you
>  * can use the offset as right argument to <<). A pixel afterwards is a
bit
>  * stream and is written to video memory as that unmodified. This
implies
>  * big-endian byte order if bits_per_pixel is greater than 8.
>  */
91a98
> #define FB_SYNC_ON_GREEN      32      /* sync on green */
100a108,113
> 
> 
> #define VESA_NO_BLANKING        0
> #define VESA_VSYNC_SUSPEND      1
> #define VESA_HSYNC_SUSPEND      2
> #define VESA_POWERDOWN          7



Or here is the regular diff for patch:

--- fb.h_2185	Fri Feb  6 20:05:30 1998
+++ fb.h	Fri Feb 20 23:12:34 1998
@@ -55,6 +55,12 @@
 	__u16 reserved[5];		/* Reserved for future compatibility */
 };
 
+/* Interpretation of offset for color fields: All offsets are from the right,
+ * inside a "pixel" value, which is exactly 'bits_per_pixel' wide (means: you
+ * can use the offset as right argument to <<). A pixel afterwards is a bit
+ * stream and is written to video memory as that unmodified. This implies
+ * big-endian byte order if bits_per_pixel is greater than 8.
+ */
 struct fb_bitfield {
 	__u32 offset;			/* beginning of bitfield	*/
 	__u32 length;			/* length of bitfield		*/
@@ -89,6 +95,7 @@
 #define FB_SYNC_BROADCAST	16	/* broadcast video timings      */
 					/* vtotal = 144d/288n/576i => PAL  */
 					/* vtotal = 121d/242n/484i => NTSC */
+#define FB_SYNC_ON_GREEN	32	/* sync on green */
 
 #define FB_VMODE_NONINTERLACED  0	/* non interlaced */
 #define FB_VMODE_INTERLACED	1	/* interlaced	*/
@@ -98,6 +105,12 @@
 #define FB_VMODE_YWRAP		256	/* ywrap instead of panning     */
 #define FB_VMODE_SMOOTH_XPAN	512	/* smooth xpan possible (internally used) */
 #define FB_VMODE_CONUPDATE	512	/* don't update x/yoffset	*/
+
+
+#define VESA_NO_BLANKING        0
+#define VESA_VSYNC_SUSPEND      1
+#define VESA_HSYNC_SUSPEND      2
+#define VESA_POWERDOWN          7
 
 struct fb_var_screeninfo {
 	__u32 xres;			/* visible resolution		*/


Bernd Harries

bharries@freeyellow.com  http://www.freeyellow.com/members/bharries
bharries@vossnet.de      Tel.: +49 421 804 309   priv.   Linux-m68k
harries@atlas.de               +49 421 457 3966  offi.   Medusa T40

